/*(tempoJogo) 
Escreva um programa que leia dois horários (horas e minutos) e determine o período em horas e minutos decorridos entre os dois horários.  Se o primeiro horário for maior que o segundo o programa deve escrever uma mensagem de erro.  

Neste programa, escreva uma funcão chamada tempoJogo() que recebe 4 parâmetros inteiros, cada
par de inteiros representando dois horários (horas e minutos). A funcão deve devolver o período em
minutos decorrido entre os dois horários.

Ex: 
Entre com o horario de inicio: 10 50
Entre com o horario de fim: 12 20
Tempo de jogo: 1h 30min 
*/

#include <iostream>
using namespace std;

int tempoJogo( int hI, int mI, int hF, int mF );
int hora2min( int h, int m );
void min2hora( int totMin, int &h, int &m );

int main(){
  int hI, mI, hF, mF, minTotal, h, m;

  cout << "Entre com o horario de inicio: ";
  cin >> hI >> mI;
  cout << "Entre com o horario de fim: ";
  cin >> hF >> mF;
  if( hora2min( hF, mF ) < hora2min( hI, mI ) ){
    //  if( hF < hI || (hF==hI && mF < mI) ){
    cout << "Horario final menor que de inicio\n";
    return 0;
  }
  minTotal = tempoJogo( hI, mI, hF, mF );
  min2hora( minTotal, h, m );
  cout << "Tempo de jogo: " << h << "h " << m << "min\n";
  return 0;
}

int tempoJogo( int hI, int mI, int hF, int mF ){
  return hora2min( hF, mF ) - hora2min( hI, mI );
}

int hora2min( int h, int m ){
  return h*60+m;
}

void min2hora( int totMin, int &h, int &m ){
  h= totMin / 60;
  m= totMin % 60;
}
